+ Reply to Thread
Results 1 to 2 of 2
  1. #1
    Forum Newbie
    Using
    AutoCAD 2016
    Join Date
    Sep 2015
    Posts
    1

    Default Multiple circle array

    Registered forum members do not see this ad.

    Hi,

    I have a drawing with lots of circles (all different sizes). I need to shrink all the circles by .1mm.

    I need an 'ugway' to help my autocad kung fu.


  2. #2
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,725

    Default

    Registered forum members do not see this ad.

    Here is a method

    Code:
    (defun c:test ( / ss x)
    (setq ss (ssget  (list (cons 0 "Circle")) ))
    (setq len (sslength ss))
    (setq x -1)
    (Repeat len (setq obj (vlax-ename->vla-object (ssname ss (setq x (+ x 1)))))
    (setq dia (- (vla-get-diameter obj) 0.1))
    (vla-put-diameter obj dia)
    )
    )
    
    (c:test)
    A man who never made mistakes never made anything

Similar Threads

  1. Insert multiple drawings as blocks in array
    By cangelo3D in forum .NET, ObjectARX & VBA
    Replies: 3
    Last Post: 2nd May 2012, 05:18 am
  2. AutoCAD 2011 micron circle array
    By fab in forum AutoCAD Bugs, Error Messages & Quirks
    Replies: 4
    Last Post: 20th Jul 2010, 04:29 pm
  3. Can An Array Be Used to Delete Multiple Features?
    By sloansmith in forum AutoCAD General
    Replies: 4
    Last Post: 2nd Apr 2010, 06:12 pm
  4. Multiple circle with multiple layers in autolisp
    By SSA in forum AutoLISP, Visual LISP & DCL
    Replies: 32
    Last Post: 29th May 2009, 12:16 am
  5. in VBA trying to pop a circle in multiple places at once?
    By RMS in forum AutoLISP, Visual LISP & DCL
    Replies: 4
    Last Post: 6th May 2007, 10:41 pm

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts